package cn.lihongjie.coal.warehouseShelve.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.warehouseShelve.dto.CreateWarehouseShelveDto;
import cn.lihongjie.coal.warehouseShelve.dto.UpdateWarehouseShelveDto;
import cn.lihongjie.coal.warehouseShelve.dto.WarehouseShelveDto;
import cn.lihongjie.coal.warehouseShelve.service.WarehouseShelveService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/warehouseShelve")
@SysLog(module = "仓库货架管理")
@Slf4j
@OrgScope
public class WarehouseShelveController {
    @Autowired private WarehouseShelveService service;

    @PostMapping("/create")
    public WarehouseShelveDto create(@RequestBody CreateWarehouseShelveDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public WarehouseShelveDto update(@RequestBody UpdateWarehouseShelveDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public WarehouseShelveDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<WarehouseShelveDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
